package com.ruoyi.nanjing.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工位类型对象 T_BD_StationType
 * 
 * @author limy
 * @date 2021-01-22
 */
public class TBdStationtype extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long ID;

    /** 类型名称 */
    @Excel(name = "类型名称")
    private String typeName;

    /** 类型类别 */
    @Excel(name = "类型类别")
    private String typeClass;

    public void setID(Long ID) 
    {
        this.ID = ID;
    }

    public Long getID() 
    {
        return ID;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setTypeClass(String typeClass) 
    {
        this.typeClass = typeClass;
    }

    public String getTypeClass() 
    {
        return typeClass;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("typeName", getTypeName())
            .append("typeClass", getTypeClass())
            .toString();
    }
}
